=== debian/changelog ===
moarvm (2022.12+dfsg-2) unstable; urgency=medium

  [ Timo Paulssen ]
  * add patch to fix build with -Wincompatible-pointer-types (Closes: #1077392)

  [ Dominique Dumont ]
  * add gbp.conf to switch main branch to debian/sid
  * control: added Timo Paulssen as uploader

 -- Dominique Dumont <dod@debian.org>  Fri, 06 Sep 2024 18:51:53 +0200

moarvm (2022.12+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Tue, 17 Jan 2023 14:36:48 -0500

moarvm (2022.12+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2022.12+dfsg
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Tue, 27 Dec 2022 20:01:21 -0500

moarvm (2022.07+dfsg-1) unstable; urgency=medium

  [ Bo YU ]
  * add support for riscv64

  [ Mo Zhou ]
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 25 Sep 2022 19:00:44 -0400

moarvm (2022.07+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2022.07+dfsg

 -- Mo Zhou <lumin@debian.org>  Fri, 05 Aug 2022 00:00:50 -0700

moarvm (2022.06+dfsg-1~exp1) experimental; urgency=medium

  [ Dominique Dumont ]
  * move README.source in README.source.org

  [ Mo Zhou ]
  * New upstream version 2022.06+dfsg

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Jul 2022 20:45:36 -0700
