=== debian/changelog ===
moarvm (2024.09+dfsg-5) unstable; urgency=medium

  * Set architectures supported by moarvm

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Apr 2025 09:38:14 +0200

moarvm (2024.09+dfsg-4) unstable; urgency=medium

  [ Timo Paulssen ]
  * Fix bug in spesh arg guard patch.
  * control: remove ARM architectures for now.

 -- Dominique Dumont <dod@debian.org>  Mon, 03 Feb 2025 19:18:03 +0100

moarvm (2024.09+dfsg-3) unstable; urgency=medium

  [ Timo Paulssen ]
  * Add patch to fix rakudo build hang on ARM. (See #1086555)

 -- Dominique Dumont <dod@debian.org>  Tue, 14 Jan 2025 18:55:35 +0100

moarvm (2024.09+dfsg-2) unstable; urgency=medium

  * upload to unstable

 -- Dominique Dumont <dod@debian.org>  Tue, 29 Oct 2024 17:24:33 +0100

moarvm (2024.09+dfsg-1) experimental; urgency=medium

  [ Timo Paulssen ]
  * New upstream version 2024.09+dfsg
  * Fix building with new stricter error flags (Closes: #1077392)
  * control: Add Timo as uploader
  * Update patches
  * Fix incorrect patch
  * Add reproducible build patches

  [ Dominique Dumont ]
  * control: declare compliance with policy 4.7.0
  * fill.copyright.blanks: update for 3rdparty/ryu
  * copyright: update with cme
  * README.source: mentions 3rdparty/ryu

 -- Dominique Dumont <dod@debian.org>  Sat, 05 Oct 2024 18:33:09 +0200

moarvm (2024.02+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2024.02+dfsg
  * Add loong64 architecture. (Closes: #1054027)
  * d/copyright: Remove superfluous file patterns.
  * Upload to experimental.

 -- Mo Zhou <lumin@debian.org>  Sat, 09 Mar 2024 20:46:36 -0500

moarvm (2023.06+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2023.06+dfsg
  * Copyright: remove superfluous file patterns.

 -- Mo Zhou <lumin@debian.org>  Mon, 21 Aug 2023 12:57:27 -0400
