=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: moarvm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
+Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
            Dominique Dumont <dod@debian.org>,
-           Mo Zhou <lumin@debian.org>
+           Mo Zhou <lumin@debian.org>,
+           Timo Paulssen <timonator@perpetuum-immobile.de>
 Section: interpreters
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,14 +13,14 @@
                libtommath-dev,
                libuv1-dev,
                perl-doc
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/moarvm
 Vcs-Git: https://salsa.debian.org/perl6-team/moarvm.git
 Homepage: https://moarvm.org/
 Rules-Requires-Root: no
 
 Package: moarvm
-Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 loong64 mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: virtual machine for Rakudo Perl 6 and NQP
@@ -41,7 +41,7 @@
     big integers and interfacing with native libraries
 
 Package: moarvm-dev
-Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 loong64 mips mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x x32
 Depends: libatomic-ops-dev,
          libffi-dev,
          libtommath-dev,
